Bug 1410605 - [abrt] pitivi: previewers.py:886:_modulateRate:AssertionError
Summary: [abrt] pitivi: previewers.py:886:_modulateRate:AssertionError
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4c68eb3f4fe2f08f971b74e7f86...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 21:09 UTC by Peter
Modified: 2017-12-12 10:13 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:13:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (390 bytes, text/plain)
2017-01-05 21:09 UTC, Peter
no flags Details
File: environ (1.18 KB, text/plain)
2017-01-05 21:10 UTC, Peter
no flags Details

Description Peter 2017-01-05 21:09:53 UTC
Version-Release number of selected component:
pitivi-0.98-5.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        python3 /usr/bin/pitivi
executable:     /usr/bin/pitivi
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
previewers.py:886:_modulateRate:AssertionError

Traceback (most recent call last):
  File "/usr/lib64/python3.5/site-packages/pitivi/timeline/previewers.py", line 886, in _modulateRate
    assert res
AssertionError

Local variables in innermost frame:
position: 0
self: <pitivi.timeline.previewers.PipelineCpuAdapter object at 0x7f1c80361a58>
res: False
usage_percent: 0.017669694510527224

Comment 1 Peter 2017-01-05 21:09:59 UTC
Created attachment 1237812 [details]
File: backtrace

Comment 2 Peter 2017-01-05 21:10:00 UTC
Created attachment 1237813 [details]
File: environ

Comment 3 rockonthemoonfm 2017-03-02 12:06:54 UTC
Similar problem has been detected:

Imported a ~800Mb *.mp4 video (h.264 + MPEG-4) and project video preview in the widget on the right didn't work.

Always reproducible, app doesn't crash but it's unusable. All the GStreamer plugins are installed.

reporter:       libreport-2.8.0
cmdline:        python3 /usr/bin/pitivi
event_log:      2017-03-02-12:02:15> ('report_uReport' completed successfully)
executable:     /usr/bin/pitivi
kernel:         4.9.12-200.fc25.x86_64
package:        pitivi-0.98-5.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         previewers.py:886:_modulateRate:AssertionError
runlevel:       N 5
type:           Python3
uid:            1000

Comment 4 Fedora End Of Life 2017-11-16 15:15:18 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:13:50 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.